<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

$set['title']='Угадай число'; // caaieiaie no?aieou
include_once '../sys/inc/thead.php';

title();
only_reg(); // только для зарегистрированых

$res=mysql_fetch_array(mysql_query("Select `kurs` from `баллов` where id='1' LIMIT 1;"));
$k=$res['kurs'];

$fn=file_get_contents("count.sb");
if($fn!=""){
$nd=explode('|',$fn);
$tots = $nd[0];}
if ($tots==""){$tots="0";}


if($_GET['mode']=='')
{
if  ($user['balls']<$k)
{
echo"У вас недостаточно баллов для игры!<br/>";
echo"Минимум для игры нада <b>$k</b> баллов!<br/>";
include_once '../sys/inc/tfoot.php';
}
else
{
echo"У вас <b>".$user['balls']."</b> баллов!<br/>";
print"Число должно быть от 1 до 6:)<br/>";
echo "<form method=\"post\" action=\"ugadai.php?mode=add\">\n";
echo "Цифра <br />\n
<input name=\"rol\" class=\"form\" value=\"\" type=\"text\" /><br />\n";
echo "<input value=\"нажать\" class=\"form\" type=\"submit\" />\n";
echo "</form>";
}
}
if ($_GET['mode']=='add')
{
if ($_POST['rol']>6 || $_POST['rol']<=0)
{
print"Число должно быть от 1 до 6:)<br/>";
print"Попробуйте <a href='ugadai.php?'>еще раз</a><br/>";
include_once '../sys/inc/tfoot.php';
}
else
{
$roll=rand(1,6);
if($roll==$_POST['rol'])
{
$_POST['rol']=htmlspecialchars(stripslashes(trim($_POST['rol'])));
$user['balls']=htmlspecialchars(stripslashes(trim($user['balls'])));
$fn=file_get_contents("count.sb");
$nd=explode('|',$fn);
$tot = $nd[0];
$t=$tot+1;
$fp = fopen('count.sb','w');
fputs($fp,$t);
fclose($fp);
@chmod('count.sb',0666);
$user['balls']+=$k;
mysql_query("UPDATE `user` SET `balls` = '".$user['balls']."' WHERE `id` = '".$user['id']."';");
print "Вы угадали!<br/>";
print "<a href='ugadai.php?'>Назад</a><br/>";
}
else
{
print"Увы,Вы неугадали Попробуйте <a href='ugadai.php?'>еще раз</a><br/>";
$user['balls']-=$k;
mysql_query("UPDATE `user` SET `balls` = '".$user['balls']."' WHERE `id` = '".$user['id']."';");
print "<a href='ugadai.php?'>Назад</a><br/>";
}
}
}
print '<a href="/gorod/index.php">в город</a>';

include_once '../sys/inc/tfoot.php';
?>
</body>
</html>
